#include "loader.h"

void top_loader_play()
{
   if (features & CAN_PLAY)
      top_player_play();
}

void top_loader_pause()
{
   if (features & CAN_PAUSE)
      top_player_pause();
}

void top_loader_stop()
{
   if (features & CAN_STOP)
      top_player_stop();
}

void top_loader_ff()
{
   if (features & CAN_FF)
      top_player_ff();
}

void top_loader_rw()
{
   if (features & CAN_RW)
      top_player_rw();
}

void top_loader_prev()
{
   if (features & CAN_PREV)
      top_player_prev();
}

void top_loader_next()
{
   if (features & CAN_NEXT)
      top_player_next();
}

void top_loader_loop()
{
   if (features & CAN_LOOP)
      top_player_loop();
}

void top_loader_set_volume(float vol)
{
   if (features & CAN_VOLUME)
      top_player_set_volume(vol);
}

float top_loader_get_volume()
{
   if (features & CAN_VOLUME)
      return top_player_get_volume();
   return 0;
}

float top_loader_get_max_volume()
{
   if (features & CAN_VOLUME)
      return top_player_get_max_volume();
   return 0;
}

void top_loader_seek(float position)
{
   if (features & CAN_SEEK)
      top_player_seek(position);
}

float top_loader_get_position()
{
   if (features & GIVES_POSITION)
      return top_player_get_position();
   return 0;
}

float top_loader_get_max_position()
{
   if (features & GIVES_POSITION)
      return top_player_get_max_position();
   return 0;
}

void top_loader_double(int val)
{
   if (features & CAN_DOUBLE)
      top_player_double(val);
}

void top_loader_fullscreen()
{
   if (features & CAN_FULLSCREEN)
      top_player_fullscreen();
}

int top_loader_get_height()
{
   if (features & GIVES_RES)
      return top_player_get_height();
   return 0;
}

int top_loader_get_width()
{
   if (features & GIVES_RES)
      return top_player_get_width();
   return 0;
}

int top_loader_get_frame()
{
   if (features & GIVES_FRAME)
      return top_player_get_frame();
   return 0;
}

float top_loader_get_fps()
{
   if (features & GIVES_FPS)
      return top_player_get_fps();
   return 0;
}

char** top_loader_get_player_settings()
{
	if(features & GIVES_SETTINGS)
		return top_player_get_settings();
	return 0;
}

void top_loader_activate_settings()
{
	top_player_activate_settings();
}

int top_loader_is_playing()
{
	if (!top_player_is_playing)
		return 0;
	return top_player_is_playing();
}
