#include "wm_player.h"
wm_data *m;
guint32 player_open(char* name)
{
   static wm_data w;
   w.Xavail = SDL_CreateSemaphore(1);
   m = &w;
   w.is_playing = 0;
   parse_url(name);
   pthread_mutex_init(&m->mutex,0);
   if (SDL_Init (SDL_INIT_AUDIO | SDL_INIT_VIDEO) < 0)
      return 0;
   SDL_WM_SetCaption(name,0);
   SDL_ShowCursor(0);
   m->player = CreateAviPlayer();
   m->vid = SDL_GetVideoInfo();
   m->depth = m->vid->vfmt->BitsPerPixel;
   m->player->initPlayer(name,m->depth);
   player_activate_settings();
   m->height = m->player->height();
   m->width = m->player->width();
   m->framesize = m->depth/8*m->player->width()*m->player->height();
   m->player->setDrawCallback(&draw);
   m->player->start();
   m->player->pause(1);

   return CAN_PLAY | CAN_RW | CAN_PAUSE | CAN_STOP | CAN_SEEK | GIVES_POSITION |
	  GIVES_RES | CAN_FULLSCREEN | GIVES_FPS | GIVES_SETTINGS;
}
