#include "wm_player.h"
void setup_screen()
{
	int was = m->player->isPlaying();
	static int gl_initted = 0;
	if (was)
		m->player->pause(1);
	SDL_SemWait(m->Xavail);
	// Wait For X connection..
#ifdef USE_GL
	if (m->flags & SDL_OPENGL)
	{
		m->screen = SDL_SetVideoMode(m->width,m->height,0,m->flags);
		if (!gl_initted)
		m->surface = SDL_AllocSurface(SDL_SWSURFACE,
					      m->player->width(),
					      m->player->height(),
					      16,
					      0x000000FF,
					      0x0000FF00,
					      0x00FF0000,
					      0xFF000000);
		if (!gl_initted)
			gl_screen_init(m->player->width(),m->player->height());
		gl_screen_resize(m->screen->w,m->screen->h);
		if (was)
			m->player->play();
		SDL_SemPost(m->Xavail);
		return;
	}
	if (!m->gl_all && !(m->flags & SDL_FULLSCREEN))
		m->flags = m->flags & ~SDL_OPENGL & ~SDL_RESIZABLE;
#endif
	m->screen = SDL_SetVideoMode(m->player->width(),m->player->height(),0,
				 m->flags);
	if (was)
		m->player->play();
	SDL_SemPost(m->Xavail);
}
