/* GTK UI code for Xtheater - button pixmaps

   Copyright (C) 2000 Jarrod Johnson

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   Author may be contacted at jbjohns4@eos.ncsu.edu
*/

#ifndef __GTKUI_BUTTONS
#define __GTKUI_BUTTONS
/* XPM */
static const char *pause_xpm[] =
{
  "13 21 2 1",
  " 	c None",
  ".	c #000000",
  "             ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  " ....   .... ",
  "             ",
  "             "};
/* XPM */
static const char *play_xpm[] =
{
  "13 21 2 1",
  " 	c None",
  ".	c #000000",
  "             ",
  "  .          ",
  "  ..         ",
  "  ...        ",
  "  ....       ",
  "  .....      ",
  "  ......     ",
  "  .......    ",
  "  ........   ",
  "  .........  ",
  "  .......... ",
  "  .........  ",
  "  ........   ",
  "  .......    ",
  "  ......     ",
  "  .....      ",
  "  ....       ",
  "  ...        ",
  "  ..         ",
  "  .          ",
  "             "};
/* XPM */
static const char *stop_xpm[] =
{
  "13 21 2 1",
  " 	c None",
  ".	c #000000",
  "             ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  " ........... ",
  "             "};

/* XPM */
static const char * next_xpm[] = {
"16 21 2 1",
"       c None",
".      c #000000",
"                ",
" .         .... ",
" ..        .... ",
" ...       .... ",
" ....      .... ",
" .....     .... ",
" ......    .... ",
" .......   .... ",
" ........  .... ",
" ......... .... ",
" .............. ",
" ......... .... ",
" ........  .... ",
" .......   .... ",
" ......    .... ",
" .....     .... ",
" ....      .... ",
" ...       .... ",
" ..        .... ",
" .         .... ",
"                "};

/* XPM */
static const char * open_xpm[] = {
"25 21 2 1",
"       c None",
".      c #000000",
"                         ",
"                         ",
"                         ",
"            .            ",
"           ...           ",
"          .....          ",
"         .......         ",
"        .........        ",
"       ...........       ",
"      .............      ",
"     ...............     ",
"    .................    ",
"   ...................   ",
"  .....................  ",
"                         ",
"                         ",
"  .....................  ",
"  .....................  ",
"  .....................  ",
"                         ",
"                         "};

/* XPM */
static const char * prev_xpm[] = {
"16 21 2 1",
"       c None",
".      c #000000",
"                ",
" ....         . ",
" ....        .. ",
" ....       ... ",
" ....      .... ",
" ....     ..... ",
" ....    ...... ",
" ....   ....... ",
" ....  ........ ",
" .... ......... ",
" .............. ",
" .... ......... ",
" ....  ........ ",
" ....   ....... ",
" ....    ...... ",
" ....     ..... ",
" ....      .... ",
" ....       ... ",
" ....        .. ",
" ....         . ",
"                "};

/* XPM */
static const char * ff_xpm[] = {
"22 21 2 1",
"       c None",
".      c #000000",
"                      ",
" .         .          ",
" ..        ..         ",
" ...       ...        ",
" ....      ....       ",
" .....     .....      ",
" ......    ......     ",
" .......   .......    ",
" ........  ........   ",
" ......... .........  ",
" .................... ",
" ......... .........  ",
" ........  ........   ",
" .......   .......    ",
" ......    ......     ",
" .....     .....      ",
" ....      ....       ",
" ...       ...        ",
" ..        ..         ",
" .         .          ",
"                      "};

/* XPM */
static const char * rw_xpm[] = {
"22 21 2 1",
"       c None",
".      c #000000",
"                      ",
"          .         . ",
"         ..        .. ",
"        ...       ... ",
"       ....      .... ",
"      .....     ..... ",
"     ......    ...... ",
"    .......   ....... ",
"   ........  ........ ",
"  ......... ......... ",
" .................... ",
"  ......... ......... ",
"   ........  ........ ",
"    .......   ....... ",
"     ......    ...... ",
"      .....     ..... ",
"       ....      .... ",
"        ...       ... ",
"         ..        .. ",
"          .         . ",
"                      "};
#endif
