/* GTK UI code for Xtheater - code for UI initialization

   Copyright (C) 2000 Jarrod Johnson

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

   Author may be contacted at jbjohns4@eos.ncsu.edu
*/
#include <string.h>
#include "gtk-ui.h"
G_MODULE_EXPORT int ui_init(int*argc,char**argv[])
{
   static ui_data m;
   //XInitThreads();
   gtk_init(argc,argv);
   m.file_sel = 0;
   m.ui_height = 180;
   m.ui_width = 270;
   m.features = 0;

   ui_create_widgets(&m);
   ui_pack_widgets(&m);
   ui_connect_signals(&m);
   ui_reconfig(&m);
   ui_do_icon(&m);
   gtk_timeout_add( 400, ui_update_info, &m);
   if ((*argc) >=2) {
      strcpy(m.name,(*argv)[(*argc)-1]);
      ui_open(&m);
   }
   gtk_main();
   return 0;
}
