#include "loader.h"

int main(int argc, char* argv[])
{
   char *sys_conf;
   sys_conf = g_strdup_printf("%s/config", PREFIX);
   user_conf = g_strdup_printf("%s/.Xtheater.rc", g_get_home_dir());

   num_settings=0;
   num_players=0;
   features=0;
   
   parse_config(sys_conf);
   parse_config(user_conf);
#ifdef DEBUG
   fprintf(stderr,"UI_Module is %s\n",loader_get_value_from_key("UI_Module"));
   fprintf(stderr,"UI_Module_Path is %s\n",loader_get_value_from_key("UI_Module_Path"));
   fprintf(stderr,"System configuration is: %s\n",sys_conf);
   fprintf(stderr,"User configuration is: %s\n",user_conf);
#endif

   load_ui(&argc,&argv);
   return 0;
}
