#include "loader.h"

void top_loader_set_setting(char * key, char * val)
{
   int count;
   count = num_settings -1;
   while ((count >= 0) && strcmp(setting_keys[count],key))
      count--;
   if (count >= 0) {
      free(setting_vals[count]);
      setting_vals[count] = (char*)malloc(strlen(val)*sizeof(char)+2);
      strcpy(setting_vals[count],val);
      return;
   }
   // New setting to be made!
   count = num_settings++;
   if (num_settings > MAX_SETTINGS)
      return;
   setting_vals[count] = (char*)malloc(strlen(val)*sizeof(char)+2);
   setting_keys[count] = (char*)malloc(strlen(key)*sizeof(char)+2);
   strcpy(setting_vals[count],val);
   strcpy(setting_keys[count],key);
}
