#include "smpeg-player.h"

void player_fullscreen()
{
   int continloop = 1;
   m->isplaying = (SMPEG_status(m->mpeg) == SMPEG_PLAYING);
   if (m->isplaying) 
	   player_pause();
   m->in_fullscreen = 1;
   m->video_flags = m->video_flags | SDL_FULLSCREEN;
   m->width = m->mpeg_info.width;
   m->height = m->mpeg_info.height;
#ifdef USE_GL
   if (m->gl_fullscreen) {
	m->video_flags = m->video_flags | SDL_OPENGLBLIT;
	m->height = 480;
	m->width = 640;
   	if (loader_get_setting("smpeg_gl_fs_height"))
	   	sscanf(loader_get_setting("smpeg_gl_fs_height"),"%d",&m->height);
	if (loader_get_setting("smpeg_gl_fs_width"))
		sscanf(loader_get_setting("smpeg_gl_fs_width"),"%d",&m->width);
   }
#endif
   setup_screen();
   SDL_WM_GrabInput(SDL_GRAB_ON);
   player_play();
   m->isplaying=0;
   while( continloop && SMPEG_status( m->mpeg ) == SMPEG_PLAYING ) {
        SDL_Event event;

        while ( SDL_PollEvent(&event) ) {
            switch (event.type) {
              case SDL_KEYDOWN:
                if ( event.key.keysym.sym == SDLK_ESCAPE ) {
                    continloop = 0;
                }
                break;
              case SDL_MOUSEBUTTONDOWN:
              case SDL_QUIT:
                continloop = 0;
                break;
            }
        }
        SDL_Delay(100);
   }
   m->video_flags = m->video_flags & ~SDL_FULLSCREEN;
   m->in_fullscreen = 0;
   m->width = m->mpeg_info.width;
   m->height = m->mpeg_info.height;
#ifdef USE_GL
   if (!m->gl_all)
   	m->video_flags = m->video_flags & ~SDL_OPENGLBLIT;
#endif
   SDL_WM_GrabInput(SDL_GRAB_OFF);
   setup_screen();
}
