/* This file contains the code for setting up function pointers properly. */
#include "../player.h"
typedef struct {
   void (*play)();
   void (*pause)();
   void (*stop)();
   void (*ff)();
   void (*rw)();
   void (*prev)();
   void (*next)();
   void (*loop)();
   void (*setvol)(float vol);
   float (*getvol)();
   float (*getmaxvol)();
   void (*seek)(float position);
   float (*getpos)();
   float (*getmaxpos)();
   void (*doubles)(int val);
   void (*fullscreen)();
   int (*height)();
   int (*width)();
   int (*frame)();
   float (*fps)();
   guint32 (*open)(char * name);
   void (*close)();
   void (*lexit)();
   char* (*getset)(char * ky);
   void (*setset)(char*set,char*val);
   void (*wrtcfg)();
   void (*setass)(char * tp,char * plug);
   char** (*plggetstg)();
   void (*actset)();
   char* (*pluggeterr)();
} loader_funcs;

void player_assign_funcs(loader_funcs f)
{
	loader_get_setting = f.getset;
	loader_set_setting = f.setset;
}

