#include "smpeg-player.h"
#ifdef USE_GL
#include <GL/gl.h>
#include <GL/glu.h>
#endif
  
Uint32 update_size(Uint32 stupid, void * junk);
void update(SDL_Surface *screen, Sint32 x, Sint32 y, Uint32 w, Uint32 h)
{
	if (m->doing_settings)
		return;
	if (SDL_SemTryWait(m->Xavail)) 
		return;	
	// If we cannot get the exclusive rights to the display right now
        // Then drop the frame, this keeps the video more in sync.
	// Besides, what could be blocking the semaphore could be a 
	// multiplexed operation, not a separate thread, and in that case,
	// suspending the thread would cause deadlock
#ifdef USE_GL
	if (m->video_flags & SDL_OPENGL) {
		GLenum error;
		gl_screen_draw( (GLubyte*)m->surface->pixels );
        	error = glGetError();
        	if (error != GL_NO_ERROR)  {
			fprintf(stderr,"WTF!!!");
			SDL_SemPost(m->Xavail);
			return;
		}
		SDL_GL_SwapBuffers();
	} else  
#endif
	SDL_UpdateRect(screen, x, y, w, h);
	SDL_SemPost(m->Xavail);
}
Uint32 update_size(Uint32 stupid, void * junk) {
   SDL_Event event;
   if (m->doing_settings)
	   return 1;
   if (m->in_fullscreen)
	   return 1;
   SDL_SemWait(m->Xavail); // Wait for exclusive Video Window access 
   if (SDL_PollEvent(&event) && event.type == SDL_VIDEORESIZE) {
	       m->width = event.resize.w;
	       m->height = event.resize.h;
	       SDL_SemPost(m->Xavail); // Give up access for screensetup
	       setup_screen();
    } 		
   SDL_SemPost(m->Xavail); //Poll Finisihed rights no longer needed
   return 1;
}
